Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1029 - Source RPM missing includes - Also patch for gtk 1.1
Summary: Source RPM missing includes - Also patch for gtk 1.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-panel
Version: 5.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-03 00:02 UTC by spam
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-05 18:32:29 UTC


Attachments (Terms of Use)

Description spam 1999-02-03 00:02:26 UTC
I had to fix control-panel to get it to work on my machine.
I thought I'd let you guys know what it required.

Thanks for a great product.

John Rothe
aegir@sanctuary.org

------------
stdio.h and stdlib.h are not included and should be.

-----------
for gtk 1.1

gtk_window_add should be changed to
gtk_scrolled_window_add_with_viewport as shown.

------

gtk_box_pack_start(GTK_BOX(hbox), icon_box, FALSE, FALSE,
5);
  /*gtk_container_add(GTK_CONTAINER(scrolled), hbox);*/

gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(scrolled),
hbox);
  gtk_box_pack_start(GTK_BOX(vbox), menubar, FALSE, FALSE,
0);
  gtk_box_pack_start(GTK_BOX(vbox), scrolled, TRUE, TRUE,
0);
  gtk_container_add(GTK_CONTAINER(main_window), vbox);

Comment 1 Bill Nottingham 1999-02-05 18:32:59 UTC
this is fixed in later versions of control panel.


Note You need to log in before you can comment on or make changes to this bug.